<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


class Admin_Portalmanage_News_Confirm
{
    // ページ情報 
	var $pagename;
	var $title;
    var $from;    //ページ遷移元のアクション名

	// 入力パラメータ
    var $newscd;
    var $date;
    var $newstitle;
    var $body;
    var $releasediv;
    var $kubun;
    var $updcnt;
    var $change;
    
	function execute()
	{
		// 公開区分の設定 
		if(!empty($this->releasediv) && $this->releasediv == "1")
            $this->releasediv = 1;
		else
		    $this->releasediv = 0;
		    
		$log =& LogFactory::getLog();
		$log->debug("Admin_Portalmanage_News_Confirmが実行されました", "Admin_Portalmanage_News_Confirm#execute");
		return 'success';
	}

    function getFrom()
    {
        if(empty($this -> from)){
            return "admin_portalmanage_news_list";
        } else {
            $decodeFrom = urldecode($this -> from);
            return $decodeFrom;
        }
    }
}